//---------------------------------------------------------------------------
#ifndef ATtiny15H
#define ATtiny15H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
//--- Area3:  0 - Low Byte, 1 - Lock byte
//--- functions output: true - success, false - fail ------------------------
//---------------------------------------------------------------------------
bool ATtiny15_ProgrammingEnable();                    // переключение в режим программирования
bool ATtiny15_ChipErase();                            // стирание EEPROM и flash
bool ATtiny15_ReadProgramMemory(unsigned int, bool);  // чтение байта программы по указанному адресу, 0 - читать, 1 - проверять
bool ATtiny15_WriteProgramMemory(unsigned int);   	  // запись байта программы по указанному адресу
bool ATtiny15_ReadEEPROMMemory(unsigned int, bool);   // чтение байта EEPROM по указанному адресу, 0 - читать, 1 - проверять
bool ATtiny15_WriteEEPROMMemory(unsigned int);        // запись байта в EEPROM по указанному адресу
//---
bool ATtiny15_ReadLockBits();                    // чтение Lock-битов (заполнит байт Area3[1])
bool ATtiny15_WriteLockBits();                   // запись Lock-битов (из байта Area3[1])
unsigned int ATtiny15_ReadSignatureBytes();      // чтение байтов сигнатуры (вернёт идентификатор чипа)
bool ATtiny15_WriteFuseBits();                   // запись Fuse-битов (Low Fuse Byte      - Area3[0])
bool ATtiny15_ReadFuseBits();                    // чтение Fuse-битов (Low Fuse Byte      - Area3[0])
bool ATtiny15_ReadCalibrationBytes();            // чтение байтов калибровки (сохраняем их в Area4)
//---------------------------------------------------------------------------
#endif
